// @dart=2.12

class AppVersion {
  /// - VersionCode in Android
  /// - CFBundleVersion in iOS
  ///
  /// example: 142
  final String? versionNumber;

  /// - VersionName in Android
  /// - CFBundleShortVersionString in iOS
  ///
  /// example: 134.0.1
  final String buildName;

  AppVersion({
    required this.buildName,
    this.versionNumber,
  });

  static AppVersion parse(String version) {
    if (version.contains('+')) {
      final versionInfo = version.split('+');
      return AppVersion(
        buildName: versionInfo[0],
        versionNumber: versionInfo[1],
      );
    }

    return AppVersion(buildName: version);
  }

  @override
  String toString() {
    return '$buildName+$versionNumber';
  }
}
